package com.zhili.netty.controller;

import com.zhili.netty.base.AjaxResult;
import com.zhili.netty.entity.User;
import com.zhili.netty.service.IUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author zyg
 * @className UserController
 * @date 2022年07月21日 14:54
 */
@RestController
@Api(tags = "用户管理相关接口")
@RequestMapping("/business/user")
public class UserController {

    @Resource
    IUserService userService;

    @PostMapping("/save")
    @ApiOperation("添加用户的接口")
    public AjaxResult addUser(@RequestBody User user) {
        return new AjaxResult();
    }

    @GetMapping("/userList/{id}")
    @ApiOperation("添加用户的接口")
    public AjaxResult getUserList(@PathVariable("id") Long id) {
        User result = userService.getById(id);
        return AjaxResult.success(result);
    }

}
