package com.zhili.netty.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author zyg
 * @className NettyHeader
 * @date 2022年07月21日 17:22
 */
@ApiModel(value = "nettyHeader对象", description = "信息头")
@Data
public class NettyHeader implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户名")
    private String sessionID;

    @ApiModelProperty(value = "消息类型")
    private Integer type;
}
