//package com.zhili.netty.handler;
//
//import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
//import lombok.extern.slf4j.Slf4j;
//import org.apache.ibatis.reflection.MetaObject;
//import org.springframework.stereotype.Component;
//
//import java.time.LocalDateTime;
//
///**
// * @author zyg
// * @className CustomMetaObjectHandler
// * @date 2022年07月21日 15:24
// */
//@Slf4j
//@Component
//public class CustomMetaObjectHandler implements MetaObjectHandler {
//
//    /**
//     * 插入时候的填充策略
//     *
//     * @param metaObject 字段
//     */
//    @Override
//    public void insertFill(MetaObject metaObject) {
//        UserInformationDTO userBasic = GetUserInformationUtils.getUserBasic();
//        LocalDateTime now = LocalDateTime.now();
//        this.setFieldValByName("createTime", now, metaObject);
//        this.setFieldValByName("updateTime", now, metaObject);
//        if (null != userBasic) {
//            this.setFieldValByName("create_by", userBasic.getName(), metaObject);
//            this.setFieldValByName("update_by", userBasic.getName(), metaObject);
//        } else {
//            this.setFieldValByName("create_by", "系统自动执行", metaObject);
//            this.setFieldValByName("update_by", "系统自动执行", metaObject);
//        }
//    }
//
//    /**
//     * 更新时间的填充策略
//     */
//    @Override
//    public void updateFill(MetaObject metaObject) {
//        UserInformationDTO userBasic = GetUserInformationUtils.getUserBasic();
//        if (null != userBasic) {
//            this.setFieldValByName("create_by", userBasic.getName(), metaObject);
//        } else {
//            this.setFieldValByName("update_by", "系统自动执行", metaObject);
//        }
//        this.setFieldValByName("updateTime", LocalDateTime.now(), metaObject);
//    }
//
//}
