package com.zhili.netty.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zhili.netty.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author zyg
 * @className User
 * @date 2022年07月21日 14:54
 */
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "User对象", description = "用户信息")
@Data
@TableName("t_user")
public class User extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "用户地址")
    private String address;
}
